Bug 586671 - Multiple Okular Entries Added to "Open With" Dialogue Box Options
Multiple Okular Entries Added to "Open With" Dialogue Box Options
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdegraphics (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-28 01:45 EDT by David Le Sage
Modified: 2011-06-27 11:55 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:55:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing multiple entries for Okular in "Open With" dialogue box. (29.54 KB, image/png)
2010-04-28 01:45 EDT, David Le Sage
no flags Details

  None (edit)
Description David Le Sage 2010-04-28 01:45:35 EDT
Created attachment 409668 [details]
Screenshot showing multiple entries for Okular in "Open With" dialogue box.

Description of problem:
If the user installs Okular, multiple entries for that application are added to GNOME's "open with" dialogue box.

Version-Release number of selected component (if applicable):
Okular 0.10.2

How reproducible:
Every time.

Steps to Reproduce:
1. Install Okular.
2. Running GNOME, right-click on an file in Nautilus and choose "Open With" from the context-menu that appears.

  
Actual results:
Multiple (14) entries for Okular appear in Dialogue Box.

Expected results:
Should only be one entry for Okular.

Additional info:
Comment 1 Rex Dieter 2010-04-28 09:01:16 EDT
okular does indeed have multiple .desktop files, but the extra ones are all marked
NoDisplay=true
so kde, at least, doesnt show them.

For what type(s) (mimetypes?) of files do you see this problem?
Comment 2 David Le Sage 2010-04-28 18:15:04 EDT
It seems to happen with every mimetype.  I just tried out text files, PDFs and OO files and it happened with all of them.
Comment 3 Bug Zapper 2011-06-02 10:47:03 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-27 11:55:20 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.